%define name	qfaxreader
%define version	0.2.6
%define release 2mdk

Name: 	 	%{name}
Summary: 	Multipage TIFF/fax viewer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://qfaxreader.sourceforge.net/
License:	GPL
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick qt3-devel tiff-devel gdbm-devel

%description
QFaxReader is a monochrome multipage .TIFF files visualisation utility
designed for viewing faxes.
    * Handle multi page fax files
    * Correctly display fax images in any quality (normal or fine)
    * Printing fax files
    * Image transformation (rotate left, rotate right, vertical flip)
    * Zoom fax images
    * Sidebar with easy navigation through directories
    * AutoRefresh + notification for new facsimiles
    * Aliases database for replacing faxes id's with real name
    * Export in all formats which your QT have support
    * Fullscreen mode

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DOCDIR=$RPM_BUILD_ROOT/%_docdir
rm -fr $RPM_BUILD_ROOT/%_docdir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QFaxReader" longtitle="Multipage TIFF viewer" section="Multimedia/Graphics" mimetypes="image/tiff"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%name
%{_mandir}/man1/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.2.6-2mdk
- rebuild

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.2.6-1mdk
- initial package
